VERSION 5.00
Begin VB.Form ScrollbarsPic 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Pic with scrollbars example"
   ClientHeight    =   2310
   ClientLeft      =   2880
   ClientTop       =   2415
   ClientWidth     =   3150
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   154
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   210
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton Command1 
      Enabled         =   0   'False
      Height          =   255
      Left            =   2775
      TabIndex        =   3
      Top             =   1935
      Width           =   255
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   1935
      Width           =   2655
   End
   Begin VB.VScrollBar VScroll1 
      Height          =   1815
      Left            =   2775
      TabIndex        =   1
      Top             =   120
      Width           =   255
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H00FFFFFF&
      Height          =   1815
      Left            =   120
      ScaleHeight     =   117
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   173
      TabIndex        =   0
      Top             =   120
      Width           =   2655
      Begin VB.PictureBox Picture2 
         AutoSize        =   -1  'True
         BackColor       =   &H00FFFFFF&
         BorderStyle     =   0  'None
         Height          =   1920
         Left            =   0
         Picture         =   "ScrollbarsPic.frx":0000
         ScaleHeight     =   128
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   172
         TabIndex        =   4
         Top             =   0
         Width           =   2580
      End
   End
End
Attribute VB_Name = "ScrollbarsPic"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
' Picture with scrollbars example by PAT or JK
' This small example shows you one way to add scrollbars to a
' picturebox. Contact: patorjk@aol.com, http://www.patorjk.com

Private Sub Form_Load()
    ' Note: The scalemode of the Pictures and Form is set to Pixel.
    ' Also Note: Picture2's Autosize property is set to true.
    Call SetPicSize
End Sub

Sub SetPicSize()
    ' Ok, the way this works is you've got two pictureboxes, Picture1
    ' and picture2. Picture2 is inside of Picture1 and holds the
    ' picture that will be seen. First we check to see how big
    ' Picture2 is. If it's bigger then Picture1, then we'll have to
    ' use the scrollbars.
    If Picture2.ScaleWidth > Picture1.ScaleWidth Then
        HScroll1.Enabled = True
        HScroll1.Max = Picture2.ScaleWidth - Picture1.ScaleWidth
        HScroll1.LargeChange = Int(HScroll1.Max \ 25) + 1
        HScroll1.SmallChange = Int(HScroll1.Max \ 200) + 1
    Else
        HScroll1.Enabled = False
    End If
    
    If Picture2.ScaleHeight > Picture1.ScaleHeight Then '
        VScroll1.Enabled = True
        VScroll1.Max = Picture2.ScaleHeight - Picture1.ScaleHeight
        VScroll1.LargeChange = Int(VScroll1.Max \ 25) + 1
        VScroll1.SmallChange = Int(VScroll1.Max \ 200) + 1
    Else
        VScroll1.Enabled = False
    End If
End Sub

Private Sub HScroll1_Change()
    ' Change the width and position of Picture2
    Picture2.Width = Picture2.Width + HScroll1.Value
    Picture2.Left = 0 - HScroll1.Value
End Sub

Private Sub VScroll1_Change()
    ' Change the height and position of Picture2
    Picture2.Height = Picture2.Height + VScroll1.Value
    Picture2.Top = 0 - VScroll1.Value
End Sub
